/* -*-c-*-
 *
 * $Id: jog.h,v 1.1 2002/01/30 09:27:38 mdw Exp $
 *
 * Global header file
 *
 * (c) 2002 Mark Wooding
 */

/*----- Licensing notice --------------------------------------------------* 
 *
 * This file is part of Jog: Programming for a jogging machine.
 *
 * Jog is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * Jog is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Jog; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

/*----- Revision history --------------------------------------------------* 
 *
 * $Log: jog.h,v $
 * Revision 1.1  2002/01/30 09:27:38  mdw
 * New global header file, declares trace codes.
 *
 */

#ifndef JOG_H
#define JOG_H

#ifdef __cplusplus
  extern "C" {
#endif

/*----- Header files ------------------------------------------------------*/

#include <mLib/trace.h>

/*----- Magic constants ---------------------------------------------------*/

/* --- Tracing settings --- */

#define T_TX 1u				/* Tracing transport */
#define T_TXSYS 2u			/* Low-level transport */
#define T_ALL (T_TX | T_TXSYS)

/*----- That's all, folks -------------------------------------------------*/

#ifdef __cplusplus
  }
#endif

#endif
